aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorLibravatarLarge Libravatar memdmp <memdmpestrogenzone>2025-02-24 04:44:12 +0100
committerLibravatarLarge Libravatar memdmp <memdmpestrogenzone>2025-02-24 04:44:12 +0100
commit4b8d0a88605260d6486103deed6033308733ab9a (patch)
tree65660bad64f0331199ce7dba0a311bb3848a6834
parent6196ec5f74faa0b783a1b3d75eadcd6cad5f651e (diff)
downloadhttptool-4b8d0a88605260d6486103deed6033308733ab9a.tar.gz
httptool-4b8d0a88605260d6486103deed6033308733ab9a.tar.bz2
httptool-4b8d0a88605260d6486103deed6033308733ab9a.tar.lz
httptool-4b8d0a88605260d6486103deed6033308733ab9a.zip

feat: report all good when reproducible

-rwxr-xr-xcontrib/ensure-reproducible-builds.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/contrib/ensure-reproducible-builds.sh b/contrib/ensure-reproducible-builds.sh
index f9b880a..5ebe6f4 100755
--- a/contrib/ensure-reproducible-builds.sh
+++ b/contrib/ensure-reproducible-builds.sh
@@ -26,4 +26,4 @@ HASH2="$( (find . -type f -print0 | sort -z | xargs -0 sha512sum;
| sha512sum)"
cd ..
echo "Got Hash $HASH2"
-if [[ "$HASH1" != "$HASH2" ]]; then echo -e "\x1b[0;31mNot reproducible!\x1b[0m"; fi; \ No newline at end of file
+if [[ "$HASH1" != "$HASH2" ]]; then echo -e "\x1b[0;31mNot reproducible!\x1b[0m"; exit 1; else echo -e "\x1b[0;32mReproducible :3\x1b[0m" fi;